<?xml version="1.0" encoding="GB2312"?>
<Config>
	<AlgoConfig>  <!--  -->
		<ZoomRatioThreshold>1.8</ZoomRatioThreshold>
		<EnvLumaThreshold>15</EnvLumaThreshold>
		<EnvLumaHighRatioTh>15</EnvLumaHighRatioTh>   <!-- for raw sr -->
		<EnvLumaLowRatioTh>15</EnvLumaLowRatioTh>     <!-- for raw sr -->
		<EnableRemosaic>1</EnableRemosaic> <!-- 40M setting 0 close 1 open -->
		<RemosaicMaxZoomRatio>3.0</RemosaicMaxZoomRatio> <!-- 40M setting support max ratio -->
		<RemosaicMinZoomRatio>1.0</RemosaicMinZoomRatio> <!-- 40M setting support min ratio -->
		<EnableRemosaicHighRatio>0</EnableRemosaicHighRatio> <!-- rawsr 40M setting 0 close 1 open -->
		<EnableRemosaicLowRatio>0</EnableRemosaicLowRatio>   <!-- rawsr 40M setting 0 close 1 open -->
		<EnableRawAlgo>1</EnableRawAlgo> <!--main  raw sr  1, default 0 yuv algo -->
		<EnableTeleRawAlgo>1</EnableTeleRawAlgo> <!--tele 1 ai raw, default 0 yuv algo -->
		<EnableWideRawAlgo>0</EnableWideRawAlgo> <!--wide 1 ai raw, default 0 yuv algo -->
		<EnableMainHDR>1</EnableMainHDR> <!--enable hdr main-->
		<EnableTeleHDR>0</EnableTeleHDR> <!--enable hdr main-->
        <EnableDiffFovAlgo>0</EnableDiffFovAlgo>
        <DffMaxZoomRatio>2.8</DffMaxZoomRatio> <!-- diff fov support max ratio -->
		<DffMinZoomRatio>1.8</DffMinZoomRatio> <!-- diff fov support min ratio -->
        <EnableMoonEnhanceAlgo>1</EnableMoonEnhanceAlgo>
		<LensCompositeMode>0</LensCompositeMode><!-- Lens  0: main wide tele   1:main mono wide -->
		<SwitchingMode>1</SwitchingMode> <!--   0: default stop start stream  1:seamless -->
		<DistanceThreshold>500</DistanceThreshold> <!--  distance units mm -->
		<DffEnvLumaThreshold>17</DffEnvLumaThreshold>
		<EnableAlgoSwitch>0</EnableAlgoSwitch>
		<ZoomValueThreshold>0.5</ZoomValueThreshold>
		<IsoValueTheshold>50</IsoValueTheshold>
		<CosSimThreshold>0.8</CosSimThreshold>
		<FaceWidthThreshold>300</FaceWidthThreshold>
		<FaceHeightThreshold>300</FaceHeightThreshold>
		<RawSrIsoThreshold>300</RawSrIsoThreshold>
    </AlgoConfig>
	<FrameConfig> <!--  0 1 2 normal  3 4 raw sr  diff fov 5 6   -->
		<Frame FrameIndex="0" LowLight="6" NormalLight="6" HighLight="6"/>  <!--  main   -->
		<Frame FrameIndex="1" LowLight="6" NormalLight="6" HighLight="6"/>  <!--  wide   -->
		<Frame FrameIndex="2" LowLight="6" NormalLight="6" HighLight="6"/>  <!--  tele   -->
		<Frame FrameIndex="3" LowLight="4" NormalLight="4" HighLight="4"/>  <!--  main   high ratio-->
		<Frame FrameIndex="4" LowLight="4" NormalLight="4" HighLight="4"/>  <!--  main   low  ratio-->
		<Frame FrameIndex="5" LowLight="6" NormalLight="6" HighLight="6"/>  <!--  main   -->
		<Frame FrameIndex="6" LowLight="6" NormalLight="6" HighLight="6"/>  <!--  tele   -->
		<Frame FrameIndex="7" LowLight="5" NormalLight="5" HighLight="5"/>  <!--  main   high ratio hdr scene-->
		<Frame FrameIndex="8" LowLight="6" NormalLight="6" HighLight="6"/>  <!--  tele  raw-->
		<Frame FrameIndex="9" LowLight="8" NormalLight="8" HighLight="8"/>  <!--  tele  raw hdr-->
		<Frame FrameIndex="10" LowLight="3" NormalLight="3" HighLight="3"/>  <!--  wide  quad raw-->
		<Frame FrameIndex="11" LowLight="1" NormalLight="1" HighLight="1"/> <!--  wide  hex  raw-->
	</FrameConfig>
	<MoonLightConfig>
            <FrameCount>14</FrameCount>  <!--  frame count  2<= x <=32  default 8 -->
            <ExposureValues>-10, -10, 1000, 1000, 1000, 1000, 2000, 2000, 2000, 2000, 3000, 3000, 3000, 3000</ExposureValues> <!--  luma * (2^(ev/1000))   -->
            <RedMoonThresholdISO>2000</RedMoonThresholdISO>
            <RedMoonFrameCount>6</RedMoonFrameCount>  <!--  frame count  2<= x <=32  default 8 -->
            <RedMoonExposureValues>-10, -10, -10, -10, -10, -10</RedMoonExposureValues> <!--  luma * (2^(ev/1000))   -->
	</MoonLightConfig>
</Config>


